RPI-EEPROM-CONFIG(1)

NAME
rpi-eeprom-config - Bootloader EEPROM configuration tool for the Raspberry Pi 4B

DESCRIPTION
usage: rpi-eeprom-config [-h] [-a APPLY] [-c CONFIG] [-e] [-o OUT] [eeprom]

Bootloader EEPROM configuration tool for the Raspberry Pi 4. Operating modes:

1. Outputs the current bootloader configuration to STDOUT if no arguments are

    specified OR the given output file if --out is specified.

    rpi-eeprom-config [--out boot.conf]

2. Extracts the configuration file from the given 'eeprom' file and outputs

    the result to STDOUT or the output file if --output is specified.

    rpi-eeprom-config pieeprom.bin [--out boot.conf]

3. Writes a new EEPROM image replacing the configuration file with the contents

    of the file specified by --config.

    rpi-eeprom-config --config boot.conf --out newimage.bin pieeprom.bin

    The new image file can be installed via rpi-eeprom-update rpi-eeprom-update -d -f newimage.bin

4. Applies a given config file to an EEPROM image and invokes rpi-eeprom-update

    to schedule an update of the bootloader when the system is rebooted.

    Since this command launches rpi-eeprom-update to schedule the EERPOM update it must be run as root.

    sudo rpi-eeprom-config --apply boot.conf [pieeprom.bin]

    If the 'eeprom' argument is not specified then the latest available image is selected by calling 'rpi-eeprom-update -l'.

5. The '--edit' parameter behaves the same as '--apply' except that instead of

    applying a predefined configuration file a text editor is launched with the contents of the current EEPROM configuration.

    Since this command launches rpi-eeprom-update to schedule the EERPOM update it must be run as root.

    The configuration file will be taken from:

    * The 'eeprom' file - if specified. * The current pending update - typically /boot/pieeprom.upd * The cached bootloader configuration 'vcgencmd bootloader_config'

    sudo -E rpi-eeprom-config --edit [pieeprom.bin]

    The default text editor is nano and may be overriden by setting the 'EDITOR' environment variable and passing '-E' to 'sudo' to preserve the environment.

See 'rpi-eeprom-update -h' for more information about the available EEPROM images.

  positional arguments:

eeprom
    Name of EEPROM file to use as input

  optional arguments:

-h, --help
    show this help message and exit

-a APPLY, --apply APPLY
    Updates the bootloader to the given config plus latest available EEPROM release.

-c CONFIG, --config CONFIG
    Name of bootloader configuration file

-e, --edit
    Edit the current EEPROM config

-o OUT, --out OUT
    Name of output file